DAPPER(1)

NAME
dapper - Desktop Applications Autostarter

SYNOPSIS
dapper [OPTION...]

OPTIONS

-h, --help
    Show a little help and exit

-V, --version
    Show version information and exit

-s, --system-dirs
    Process autostart in system folders: dapper will look for & process .desktop files in folder autostart of each of the folders in XDG_CONFIG_DIRS

-u, --user-dir
    Process autostart in user folder: dapper will look for & process .desktop files in folder autostart in XDG_CONFIG_HOME

-e, --extra-dir PATH
    Process autostart in PATH. dapper will look for & process .desktop files in specified folder. Can be specified multiple times.

    Note that if a specified folder is not found, no error will occur, and dapper will silently move on to the next folder to process, if any.

-d, --desktop DESKTOP
    Start application for DESKTOP. This will be used for keys OnlyShowIn and NotShowIn to determine whether or not to perform autostart. If specified, this will override the value for configuration file.

-t, --terminal CMDLINE
    Use CMDLINE as prefix for terminal mode. That is, when key Terminal was set to true the command line on Exec will be prefixed by the following. If specified, this will override the value for configuration file.

-v, --verbose
    Enable verbose mode. Specify twice to enable debug mode (even more verbose output).

-n, --dry-run
    Do not start anything, instead the command line that would be started will be printed on stdout.

DESCRIPTION
dapper is a simple lightweight desktop application auto-starter. It will read .desktop files in the autostart directories, all according to the FreeDesktop specifications (see NOTES below).

dapper will process folders in the order their respective options were specified.

So you can have user folder be processed first, then system folders by using:
    dapper --user-dir --system-dirs

And to have system folders processed first, use:
    dapper -su

See ORDER AND PRECEDENCE below for implications on what will be started.

The desktop environment applications should be started for is determined from configuration file (see CONFIGURATION below), or through --desktop

The value specified will be used when keys OnlyShowIn or NotShowIn are used. If nothing desktop was specified, no autostart will be performed.

For applications set to be started in terminal (via key Terminal), the command line will be prefixed by option Terminal from configuration file (see CONFIGURATION below), or through --terminal

If nothing was specified, no autostart will be performed for applications to be run in terminal.

CONFIGURATION
dapper will try to read configuration from a file ~/.config/dapper.conf

This file must contain settings, in the form:

Key=Value

Keys are case sensitive. Spaces can be used before/after the equal sign. Empty lines and lines starting with a # will be ignored, the later allowing to add comments.

There are no section to be defined, key/value pairs should be specified right away.

Supported options are:

Desktop
    The desktop environment to start applications for; used to process keys OnlyShowIn and NotShowIn.

    This can be overwritten from command line using --desktop

Terminal
    The command line prefix to use for applications marked to be run in terminal, through key Terminal.

    This can be overwritten from command line using --terminal

ENVIRONMENT VARIABLES
When processing system folders (--system-dirs), if XDG_CONFIG_DIRS is not set, /etc/xdg will be used.

When processing user folder (--user-dir), if XDG_CONFIG_HOME is not set, ~/.config will be used. If HOME is not set, dapper will fail. In such a case, nothing will be started.

ORDER AND PRECEDENCE
Specifications state that when a .desktop file by the same name is present in both user & system folders, the user one takes precedence over the system one, thus allowing user to be able to "disable" system autostarts.

The way dapper handles this is based on the order in which folders are processed, specifically whichever file is processed first takes precedence.

This means that for a standard autostart, where user files take precedence, you should use:
    dapper --user-dir --system-dirs

Having system folder(s) be processed first will result in the opposite, and system definitions taking precedence over user ones.

The same applies for additional folders (--extra-dir), so e.g. to have user files have precedence over both system ones and extra ones, while extra ones take precedence over system ones, use:
    dapper --user-dir --extra-dir /path/ --system-dirs

NOTES
While dapper tries to follow the FreeDesktop specifications[1], the following limitations should be known :

- Keys StartupNotify and StartupWMClass are not supported.

- When parsing command line in Exec, field code %c is not supported, and simply removed.

[1] http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of dapper as well as report bugs and/or suggest features on its BitBucket repository, available at <https://github.com/jjk-jacky/dapper>

AUTHORS

Olivier Brunel <i.am.jack.mail AT gmail DOT com>